05 julio 2007

Instalar DBDesigner 4 en Ubuntu Linux (Feisty Fawn y Gutsy Gibbon)


DBDesigner 4 es un sistema de diseño visual de bases de datos que integra diseño, modelado, creación y mantenimiento de estas en un único entorno. Está pensado para crear bases de datos MySQL pero permite algunos sistemas comerciales como Oracle o SQLServer y -con ciertos trapicheos- es posible crear esquemas para otros SGBD libres como PostgreSQL.

Es un sistema de código libre (GNU GPL) y se pueden obtener sus ejecutables desde la web http://fabforce.net/dbdesigner4/, desde la que se ofrecen versiones para GNU/Linux y Windows.

Otra cosa es que estos binarios funcionen tal cual en GNU/Linux y... ¡Sorpresa! En Ubuntu no rulan por defecto. La única forma en que están estos empaquetados para Linux es en un fichero .tar.gz

Tras indagar un poco, estos son los pasos para hacer que el programa vaya como la seda:
  1. Descomprimir el .tar.gz con el programa en un directorio (se recomienda el directorio HOME para un sólo usuario y el directorio /usr/local/bin para una instalación de sistema).
    • $ cd ~
    • $ tar xvzf ruta/a/la/descarga/DBDesigner4.0.5.4.tar.gz
    • $ cd DBDesigner4
  2. Instalar paquetes con las librerías necesarias. En una consola, ponemos:
    • $ sudo aptitude install libxft1 libstdc++2.10-glibc2.2
  3. Con los dedos cruzados, probamos si funciona:
    • ./startdbd
  4. [Paso estético: cambiar fuentes del programa]
    • En el menú "Options -> DBDesigner Options" escogemos la pestaña "Visual Options" y cambiamos la fuente a, por ejemplo, Bitstream Vera Sans con 8 puntos en el desplegable "Application font".
    • En el menú "Options -> Model Options" escogemos la pestaña "General Options" y en el desplegable "Default Font" cambiamos la fuente a Bitstream Vera Sans.

En caso que no arranque el programa, podemos mirar el fichero de log que se creará en ~/.DBDesigner4/DBD4.log para ver qué problema hay.


ACTUALIZACIÓN: Instalación en Gutsy Gibbon

Es necesario bajar e instalar la libreria liborqt (adaptado de aqui):
$ wget ftp://fr2.rpmfind.net/linux/sourceforge/s/sk/skychart/libborqt-6.9.0-2.i386.rpm
$ sudo apt-get install alien
$ sudo alien libborqt-6.9.0-2.i386.rpm
$ sudo dpkg -i libborqt_6.9.0-3_i386.deb

Luego le indicamos al programa dónde encontrar la nueva libreria:

$ cd ruta/donde/hemos/descomprimido/DBDesigner4
$ cd Linuxlib
$ mv libqt.so.2 libqt.so.2.old
$ ln -s /usr/lib/libborqt-6.9-qt2.3.so ./libqt.so.2
En Gutsy ya no existe el paquete libxft1. En su lugar, se debe instalar el libxft2:

$ sudo apt-get install libxft2

Y crear un enlace simbólico que permite "camuflar" la libxft2 como si fuera la libxft1:

$ sudo ln -s /usr/lib/libXft.so.2.1.2 /usr/lib/libXft.so.1

Si con el paso anterior sigue sin arrancar el programa, intentamos esto:

$ cd ruta/donde/hemos/descomprimido/DBDesigner4
$ ln -s /usr/lib/libXft.so.2.1.2 Linuxlib/libXft.so.1

13 comentarios:

Daví dijo...

Gracias a su post no tuve que ponerme a buscar tanto por los foros que muchas veces suelen ser muy imprecisos. Buen post!

lichi dijo...

excelente!! Muchas gracias!.

Angel Caido dijo...

uno de los mejores que e podido leer

la pregunta hay alguna manera de hacer que sirva para postgres

Aarón dijo...

Oye viejo muchas gracias!!! por tu tip, ya llevaba como una hora intentando instalarlo en ubuntu y con tus indicaciones en 5 minutos jalo. Neta que muchas gracias!!1.

Ingenieria dijo...

gracias por tomarte tu tiempo para escribir este post. Fue extremadamente sencillo mil mil gracias

Carlos Morales dijo...

Amigo me da este erro en Linux Mint (basado en Ubuntu):

libXft.so.1: cannot open shared object file: No such file or directory

y ya instale todas las dependencias y las chekee. Hasta converti el .rpm en .deb. Por favor dime que pasa. por lo que se es que no se puede abrir la libreria libxft, pero esta ya esta instalada, aunque tal vez no en el directorio en el que el lo necesita.

Carlos Morales dijo...

Amigo me da este erro en Linux Mint (basado en Ubuntu):

libXft.so.1: cannot open shared object file: No such file or directory

y ya instale todas las dependencias y las chekee. Hasta converti el .rpm en .deb. Por favor dime que pasa. por lo que se es que no se puede abrir la libreria libxft, pero esta ya esta instalada, aunque tal vez no en el directorio en el que el lo necesita.

Avathar dijo...

se agradece mucho tu post.

muchas veces tuve la intencion de correr dbdesigner en mi ubuntu y no habia caso...


ahora... en gutsy no esta la librerialibXft.so.1, solo esta la libXft.so.2

habra algun problema con eso??


saludos!!

olegueret dijo...

angel caido: si que hay una forma de generar SQL para postgres que consiste en utilizar la herramienta DBDesigner2PG de esta web (en portugués, pero los comandos se siguen fácilmente). Ten en cuenta que lo que hace es una trasformación XSLT del SQL de MySQL al de PostgreSQL, por lo que puede dar resultados imprecisos (generalmente se pueden retocar a mano si sabes SQL).

olegueret dijo...

carlos morales, avathar: He actualizado el post con las instrucciones para Gutsy y el problema con la libxft. No he probado con Mint pero el procedimiento debería ser similar estando este basado en Ubuntu.

N3uro5i5 dijo...

Muy bueno gracias!

xa2 dijo...

Muchas gracias, en Debian testing/unstable también son necesarios los dos ajustes

hayatu-123 dijo...

Eu gosto de usar com mysql em linux - ferramenta gratuita Valentina Estúdio, faz tudo o que eu preciso, e faz isso muito bem http://www.valentina-db.com/en/valentina-studio-overview